Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class ExplodedJarVisitor

    java.lang.Object
      org.hibernate.ejb.packaging.JarVisitor
          org.hibernate.ejb.packaging.ExplodedJarVisitor

    public class ExplodedJarVisitor

extends JarVisitor

Author:
  Emmanuel Bernard

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.packaging.JarVisitor
`JarVisitor.ClassFilter, JarVisitor.Entry, JarVisitor.FileFilter, JarVisitor.Filter, JarVisitor.JavaElementFilter, JarVisitor.PackageFilter`

Field Summary

Fields inherited from class org.hibernate.ejb.packaging.JarVisitor
`jarUrl, unqualifiedJarName`

Constructor Summary
`ExplodedJarVisitor(String fileName, JarVisitor.Filter[] filters)`
`ExplodedJarVisitor(URL url, JarVisitor.Filter[] filters)`

Method Summary
`protected void` | `doProcessElements()`

Methods inherited from class org.hibernate.ejb.packaging.JarVisitor
`addElement, getFilters, getJarURLFromURLEntry, getMatchingEntries, getUnqualifiedJarName, getVisitor, getVisitor, unqualify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExplodedJarVisitor

    public ExplodedJarVisitor(URL url,
                              JarVisitor.Filter[] filters)

### ExplodedJarVisitor

    public ExplodedJarVisitor(String fileName,
                              JarVisitor.Filter[] filters)

Method Detail

### doProcessElements

    protected void doProcessElements()
                              throws IOException

  Specified by:
    `doProcessElements` in class `JarVisitor`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD